Bug 911029 - Review Request: nodejs-dep-graph - Node.js module for simple dependency graph management in JavaScript
Summary: Review Request: nodejs-dep-graph - Node.js module for simple dependency graph...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: T.C. Hollingsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 911055
Blocks: nodejs-reviews 911050
TreeView+ depends on / blocked
 
Reported: 2013-02-14 09:35 UTC by Jamie Nguyen
Modified: 2013-06-29 18:50 UTC (History)
3 users (show)

Fixed In Version: nodejs-dep-graph-1.1.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-18 05:41:56 UTC
tchollingsworth: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-02-14 09:35:21 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-dep-graph.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-dep-graph-1.1.0-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
This is a Node.js module for simple dependency graph management in JavaScript.

Say you have a set of resources that depend on each other in some way. These
resources can be anything (eg, files, chains of command etc.).
All that matters is that each one has a unique string identifier, and a list
of direct dependencies.

dep-graph makes it easy to compute "chains" of dependencies, with guaranteed
logical ordering and no duplicates. That's trivial in most cases, but if A
depends on B and B depends on A, a naïve dependency graph would get trapped
in an infinite loop. dep-graph throws an error if any such "cycles" are detected.

Comment 1 T.C. Hollingsworth 2013-06-14 01:51:55 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Status: APPROVED

==== Things to Consider ===

[ ]: Summary seems a little redundant.

     "Node.js module for *blah, blah, blah* in JavaScript"
     
     One seems to imply the other.  ;-)  I think that came from upstream, though,
     so do what you will.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
     
        MIT License in README.mdown -> OK
     
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
        nodejs macros used -> OK
[x]: Package is named according to the Package Naming Guidelines.
        nodejs- prefix used -> OK
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
        autorequires -> OK
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[ ]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
        missing dep on nodeunit -> OK
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-dep-graph-1.1.0-1.fc20.noarch.rpm
nodejs-dep-graph.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-dep-graph.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-dep-graph.noarch: W: spelling-error %description -l en_US eg -> eh, e, g
nodejs-dep-graph.noarch: W: spelling-error %description -l en_US naïve -> nave, naive
nodejs-dep-graph.noarch: W: only-non-binary-in-usr-lib
nodejs-dep-graph.noarch: W: dangling-symlink /usr/lib/node_modules/dep-graph/node_modules/underscore /usr/lib/node_modules/underscore
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

All false positive.


Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-dep-graph
nodejs-dep-graph.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-dep-graph.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-dep-graph.noarch: W: spelling-error %description -l en_US eg -> eh, e, g
nodejs-dep-graph.noarch: W: spelling-error %description -l en_US naïve -> nave, naive
nodejs-dep-graph.noarch: W: only-non-binary-in-usr-lib
nodejs-dep-graph.noarch: W: dangling-symlink /usr/lib/node_modules/dep-graph/node_modules/underscore /usr/lib/node_modules/underscore
1 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'

See above.

Requires
--------
nodejs-dep-graph (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(underscore)

OK

Provides
--------
nodejs-dep-graph:
    nodejs-dep-graph
    npm(dep-graph)

OK

Source checksums
----------------
http://registry.npmjs.org/dep-graph/-/dep-graph-1.1.0.tgz :
  CHECKSUM(SHA256) this package     : f10b7bfa42a66efe1b7ad3fe0c90d10091ca735293feb94c2e2d62854834d4ac
  CHECKSUM(SHA256) upstream package : f10b7bfa42a66efe1b7ad3fe0c90d10091ca735293feb94c2e2d62854834d4ac

OK

Generated by fedora-review 0.4.0 (eaf16cd) last change: 2013-05-30
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b911029

Comment 2 T.C. Hollingsworth 2013-06-14 01:57:05 UTC
Wait, I didn't notice the coffee-script building was conditionalized on tests being enabled.  Please do this unconditionally, it's necessary to comply to the Packaging Guidelines:
https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries

Sorry, review approval rescinded. This package NEEDS WORK.

Comment 3 Jamie Nguyen 2013-06-16 13:51:39 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-dep-graph.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-dep-graph-1.1.0-2.fc19.src.rpm

* Sun Jun 16 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.1.0-2
- unconditionalize 'cake build'
- improve Summary

Comment 4 T.C. Hollingsworth 2013-06-16 14:07:10 UTC
Still builds in mock fine with `cake build` enabled, so APPROVED.

Comment 5 Jamie Nguyen 2013-06-16 15:05:27 UTC
New Package SCM Request
=======================
Package Name: nodejs-dep-graph
Short Description: Simple dependency graph management in JavaScript
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:

Comment 6 Gwyn Ciesla 2013-06-17 12:19:04 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-06-18 05:35:28 UTC
nodejs-dep-graph-1.1.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-dep-graph-1.1.0-2.fc19

Comment 8 Fedora Update System 2013-06-18 05:36:43 UTC
nodejs-dep-graph-1.1.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-dep-graph-1.1.0-2.fc18

Comment 9 Fedora Update System 2013-06-28 06:13:49 UTC
nodejs-dep-graph-1.1.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 10 Fedora Update System 2013-06-29 18:50:45 UTC
nodejs-dep-graph-1.1.0-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.